com.jscape.inet.ftp

## Class FtpConnectedEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.inet.ftp.FtpEvent
    - - com.jscape.inet.ftp.FtpConnectedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FtpConnectedEvent
      extends FtpEvent

  Fired when connection to FTP server is established.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtpConnectedEvent(java.lang.Object source, java.lang.String hostname)` Creates FtpConnectedEvent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(FtpListener listener)` Event is accepted by listener
    `java.lang.String` | `getHostname()` Gets FTP server hostname.
    `java.lang.String` | `toString()` Gets String equivalent of this event.

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FtpConnectedEvent

          public FtpConnectedEvent(java.lang.Object source,
                                   java.lang.String hostname)

      Creates FtpConnectedEvent.
      Parameters:
        `source` - the source of the event
        `hostname` - the hostname of the FTP server

  - ### Method Detail

    - #### getHostname

          public java.lang.String getHostname()

      Gets FTP server hostname.
      Returns:
        hostname

    - #### accept

          public void accept(FtpListener listener)

      Description copied from class: `FtpEvent`
      Event is accepted by listener
      Specified by:
        `accept` in class `FtpEvent`

    - #### toString

          public java.lang.String toString()

      Gets String equivalent of this event.
      Overrides:
        `toString` in class `java.util.EventObject`
      Returns:
        the String equivalent for this event

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved